---
title: messagesProps API
description: "API Index | messagesProps"
api_reference: true
slug: api_editor_messagesprops_wrapper
---

# MessagesProps

### messages-accessibility-tab `String`

The **Accessibility** title in the **Table Wizard** dialog.

### messages-add-column-left `String`

The title of the tool that adds table columns to the left of the selection.

### messages-add-column-right `String`

The title of the tool that adds table columns to the right of the selection.

### messages-add-row-above `String`

The title of the tool that adds table rows above the selection.

### messages-add-row-below `String`

The title of the tool that adds table rows below the selection.

### messages-align-center `String`

The title of the tool that aligns the cell text.

### messages-align-center-bottom `String`

The title of the tool that aligns the cell text.

### messages-align-center-middle `String`

The title of the tool that aligns the cell text.

### messages-align-center-top `String`

The title of the tool that aligns the cell text.

### messages-align-left `String`

The title of the tool that aligns the cell text.

### messages-align-left-bottom `String`

The title of the tool that aligns the cell text.

### messages-align-left-middle `String`

The title of the tool that aligns the cell text.

### messages-align-left-top `String`

The title of the tool that aligns the cell text.

### messages-align-remove `String`

The title of the tool that removes the alignment of the cell text.

### messages-align-right `String`

The title of the tool that aligns the cell text.

### messages-align-right-bottom `String`

The title of the tool that aligns the cell text.

### messages-align-right-middle `String`

The title of the tool that aligns the cell text.

### messages-align-right-top `String`

The title of the tool that aligns the cell text.

### messages-alignment `String`

The title of the tool that aligns the cell text.

### messages-associate-cells-with-headers `String`

The title of the **Associate** cells with a header tool.

### messages-back-color `String`

The title of the tool that changes the background color of the text.

### messages-background `String`

The title of the tool that changes the background color of the text for the tables and cells.

### messages-bold `String`

The title of the tool that makes the text bold.

### messages-border `String`

The title of the tool that changes the border of the tables.

### messages-style `String`

(Deprecated) The title of the tool that applies styling to elements.

### messages-caption `String`

The title of the tool that adds captions to tables.

### messages-cell-margin `String`

The title of the tool that applies margins to table cells.

### messages-cell-padding `String`

The title of the tool that applies padding to table cells.

### messages-cell-spacing `String`

The title of the tool that applies spacing to table cells.

### messages-cell-tab `String`

The title of the **Cell** tab in the **Table Wizard** dialog.

### messages-clean-formatting `String`

The title of the **Clean Formatting** tool.

### messages-collapse-borders `String`

The title of the **Collapse borders** option in the **Table Wizard** dialog.

### messages-columns `String`

The title of the **Columns tool** in the **Table Wizard**.

### messages-create-link `String`

The title of the tool that creates hyperlinks.

### messages-create-table `String`

The title of the tool that inserts tables.

### messages-create-table-hint `String`

The status text of the tool that inserts tables which indicates the dimensions of the inserted table.

### messages-css-class `String`

The title of the **CSS Class** drop-down tool.

### messages-delete-column `String`

The title of the tool that deletes the selected table columns.

### messages-delete-row `String`

The title of the tool that deletes the selected table rows.

### messages-dialog-cancel `String`

The label of the **Cancel** button in all Editor dialogs.

### messages-dialog-insert `String`

The label of the **Insert** button in all Editor dialogs.

### messages-dialog-ok `String`

The title of the **OK** buttons in all Editor dialogs.

### messages-dialog-update `String`

The label of the **Update** button in all Editor dialogs.

### messages-edit-area-title `String`

The title of the iframe-editing area when a sandboxed editor is used. Used as a hint for screen-readers.

### messages-file-title `String`

The caption for the file title in the **Insert File** dialog.

### messages-file-web-address `String`

The caption for the file URL in the **Insert File** dialog.

### messages-font-name `String`

The title of the tool that changes the text font.

### messages-font-name-inherit `String`

The text that is displayed when the text font is inherited from the surrounding page.

### messages-font-size `String`

The title of the tool that changes the text size.

### messages-font-size-inherit `String`

The text that is displayed when the text size is inherited from the surrounding page.

### messages-fore-color `String`

The title of the tool that changes the text color.

### messages-format-block `String`

(Deprecated) The title of the tool that lets users choose block formats.

### messages-formatting `String`

The title of the tool that lets users choose block formats.

### messages-height `String`

The title of the `height` fields.

### messages-id `String`

The title of the `id` fields.

### messages-image-alt-text `String`

The caption for the image alternate text in the **Insert Image** dialog.

### messages-image-height `String`

The caption for the image height in the **Insert Image** dialog.

### messages-image-web-address `String`

The caption for the image URL in the **Insert Image** dialog.

### messages-image-width `String`

The caption for the image width in the **Insert Image** dialog.

### messages-indent `String`

The title of the tool that indents the content.

### messages-insert-file `String`

The title of the tool that inserts links to files.

### messages-insert-html `String`

The title of the tool that inserts HTML snippets.

### messages-insert-image `String`

The title of the tool that inserts images.

### messages-insert-ordered-list `String`

The title of the tool that inserts an ordered list.

### messages-insert-unordered-list `String`

The title of the tool that inserts an unordered list.

### messages-italic `String`

The title of the tool that renders the text in italics.

### messages-overflow-anchor `String`

The title of the tool that shows the overflow tools.

### messages-justify-center `String`

The title of the tool that aligns text in the center.

### messages-justify-full `String`

The title of the tool that justifies text.

### messages-justify-left `String`

The title of the tool that aligns text on the left.

### messages-justify-right `String`

The title of the tool that aligns text on the right.

### messages-link-open-in-new-window `String`

The caption for the checkbox for opening the link in a new window in the **Create Link** dialog.

### messages-link-text `String`

The caption for the link text in the **Create Link** dialog.

### messages-link-tool-tip `String`

The caption for the **Tooltip** link in the **Create Link** dialog.

### messages-link-web-address `String`

The caption for the URL in the **Create Link** dialog.

### messages-outdent `String`

The title of the tool that outdents the content.

### messages-print `String`

The title of the **Print** tool.

### messages-rows `String`

The title of the **Rows** field in the **Table Wizard** dialog.

### messages-select-all-cells `String`

The title of the **Select All Cells** tool.

### messages-strikethrough `String`

The title of the tool that strikes text through.

### messages-subscript `String`

The title of the tool that makes text subscript.

### messages-summary `String`

The title of the **Summary** field in the **Table Wizard** dialog.

### messages-superscript `String`

The title of the tool that makes text superscript.

### messages-table-tab `String`

The title of the **Table** tab in the **Table Wizard** dialog.

### messages-table-wizard `String`

The title of the **Table Wizard** tool.

### messages-underline `String`

The title of the tool that underlines text.

### messages-units `String`

The label of the **Units** drop-downs in the **Table Wizard** dialog.

### messages-unlink `String`

The title of the tool that removes hyperlinks.

### messages-view-html `String`

The title of the tool that shows the Editor value as HTML.

### messages-width `String`

The title of the **Width** fields.

### messages-wrap-text `String`

The title of the **Wrap Text** option in the **Table Wizard** dialog.

## Suggested Links

* [`Messages` in Kendo UI Editor for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/ui/editor/configuration/messages)
